<?php

namespace common\logic\Order\OrderStatusHistory\Repository;

use common\logic\AbstractRepository;

class OrderStatusHistoryRepository extends AbstractRepository
{
    protected OrderStatusHistoryRepositoryQuery $query;

    public function loadDependencies(): void
    {
        $this->query = $this->loadService(OrderStatusHistoryRepositoryQuery::class);
    }

    public function getDefaultOptionsSearch(): array
    {
        return [
            'with' => [],
            'join_with' => ['order', 'orderStatus'],
            'orderby' => 'date ASC',
            'attribute_id_producer' => ''
        ];
    }
}